Package jam.controlpalettes

# Class AbstractController

java.lang.Object
jam.controlpalettes.AbstractController

All Implemented Interfaces:
  `Controller`

public abstract class AbstractController extends Object implements Controller

Version:
  $Id: AbstractController.java 919 2008-06-09 23:54:44Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`AbstractController()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addControllerListener(ControllerListener listener)`
Add a ControllerListener to this controllers list of listeners The main listener will be the ControlPalette itself which will use this to resize the panels if the components changed
`void`
`fireControllerChanged()`
`void`
`removeControllerListener(ControllerListener listener)`
Remove a listener

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jam.controlpalettes.Controller

`getPanel, getSettings, getTitleComponent, initialize, isInitiallyVisible, setSettings`

## Constructor Details

### AbstractController

public AbstractController()

## Method Details

### addControllerListener

public void addControllerListener(ControllerListener listener)
Add a ControllerListener to this controllers list of listeners The main listener will be the ControlPalette itself which will use this to resize the panels if the components changed

Specified by:
  `addControllerListener` in interface `Controller`
Parameters:
  `listener` -

### removeControllerListener

public void removeControllerListener(ControllerListener listener)
Remove a listener

Specified by:
  `removeControllerListener` in interface `Controller`
Parameters:
  `listener` -

### fireControllerChanged

public void fireControllerChanged()